Loading...
Searching...
No Matches
pcl::detail::MeshIndex< IndexTagT > Class Template Reference

`#include <pcl/geometry/mesh_indices.h>`

Inheritance diagram for pcl::detail::MeshIndex< IndexTagT >:

## Public Types

using | Base
using | Self = MeshIndex<IndexTagT>

## Public Member Functions

| MeshIndex ()
| Constructor.
| MeshIndex (const int index)
| Constructor.
bool | isValid () const
| Returns true if the index is valid.
void | invalidate ()
| Invalidate the index.
int | get () const
| Get the index.
void | set (const int index)
| Set the index.
bool | operator< (const Self &other) const
| Comparison operators (with boost::operators): < > <= >=.
bool | operator== (const Self &other) const
| Comparison operators (with boost::operators): == !=.
Self & | operator++ ()
| Increment operators (with boost::operators): ++ (pre and post).
Self & | operator-- ()
| Decrement operators (with boost::operators): -- (pre and post).
Self & | operator+= (const Self &other)
| Addition operators (with boost::operators): + +=.
Self & | operator-= (const Self &other)
| Subtraction operators (with boost::operators): - -=.

## Friends

std::istream & | operator>> (std::istream &is, MeshIndex< IndexTagT > &index)
| istream operator.

## Detailed Description

template<class IndexTagT>
class pcl::detail::MeshIndex< IndexTagT >

Definition at line 62 of file mesh_indices.h.

## Member Typedef Documentation

## Base

template<class IndexTagT>

using pcl::detail::MeshIndex< IndexTagT >::Base

Initial value:
boost::totally_ordered<
MeshIndex<IndexTagT>,
boost::unit_steppable<MeshIndex<IndexTagT>,
boost::additive<MeshIndex<IndexTagT>>>>
pcl::detail::MeshIndex::MeshIndex
MeshIndex()
Constructor.
Definition mesh_indices.h:78

Definition at line 71 of file mesh_indices.h.

## Self

template<class IndexTagT>

using pcl::detail::MeshIndex< IndexTagT >::Self = MeshIndex<IndexTagT>

Definition at line 75 of file mesh_indices.h.

## Constructor & Destructor Documentation

## MeshIndex() [1/2]

template<class IndexTagT>

pcl::detail::MeshIndex< IndexTagT >::MeshIndex | ( |  | ) |

inline

Constructor.

Initializes with an invalid index.

Definition at line 78 of file mesh_indices.h.

Referenced by operator>>.

## MeshIndex() [2/2]

template<class IndexTagT>

pcl::detail::MeshIndex< IndexTagT >::MeshIndex | ( | const int | index | ) |

inline explicit

Constructor.

Parameters

  [in] | index | The integer index.

Definition at line 83 of file mesh_indices.h.

## Member Function Documentation

## get()

template<class IndexTagT>

int pcl::detail::MeshIndex< IndexTagT >::get | ( |  | ) | const

inline

Get the index.

Definition at line 101 of file mesh_indices.h.

Referenced by pcl::geometry::getBoundBoundaryHalfEdges(), pcl::geometry::MeshBase< PolygonMesh< MeshTraitsT >, MeshTraitsT, PolygonMeshTag >::getFace(), pcl::geometry::MeshBase< PolygonMesh< MeshTraitsT >, MeshTraitsT, PolygonMeshTag >::getFace(), pcl::geometry::MeshBase< PolygonMesh< MeshTraitsT >, MeshTraitsT, PolygonMeshTag >::getHalfEdge(), pcl::geometry::MeshBase< PolygonMesh< MeshTraitsT >, MeshTraitsT, PolygonMeshTag >::getHalfEdge(), pcl::geometry::MeshBase< PolygonMesh< MeshTraitsT >, MeshTraitsT, PolygonMeshTag >::getOppositeHalfEdgeIndex(), pcl::geometry::MeshBase< PolygonMesh< MeshTraitsT >, MeshTraitsT, PolygonMeshTag >::getVertex(), pcl::geometry::MeshBase< PolygonMesh< MeshTraitsT >, MeshTraitsT, PolygonMeshTag >::getVertex(), pcl::detail::MeshIndex< struct VertexIndexTag >::operator+=(), pcl::detail::MeshIndex< struct VertexIndexTag >::operator-=(), pcl::detail::MeshIndex< struct VertexIndexTag >::operator<(), pcl::detail::operator<<(), pcl::detail::MeshIndex< struct VertexIndexTag >::operator==(), pcl::geometry::MeshBase< PolygonMesh< MeshTraitsT >, MeshTraitsT, PolygonMeshTag >::setFace(), pcl::geometry::MeshBase< PolygonMesh< MeshTraitsT >, MeshTraitsT, PolygonMeshTag >::setHalfEdge(), pcl::geometry::MeshBase< PolygonMesh< MeshTraitsT >, MeshTraitsT, PolygonMeshTag >::setVertex(), pcl::geometry::toEdgeIndex(), and pcl::geometry::toHalfEdgeIndex().

## invalidate()

template<class IndexTagT>

void pcl::detail::MeshIndex< IndexTagT >::invalidate | ( |  | ) |

inline

Invalidate the index.

Definition at line 94 of file mesh_indices.h.

Referenced by pcl::geometry::MeshBase< PolygonMesh< MeshTraitsT >, MeshTraitsT, PolygonMeshTag >::deleteFace(), pcl::geometry::MeshBase< PolygonMesh< MeshTraitsT >, MeshTraitsT, PolygonMeshTag >::markDeleted(), pcl::geometry::MeshBase< PolygonMesh< MeshTraitsT >, MeshTraitsT, PolygonMeshTag >::markDeleted(), and pcl::geometry::MeshBase< PolygonMesh< MeshTraitsT >, MeshTraitsT, PolygonMeshTag >::markDeleted().

## isValid()

template<class IndexTagT>

bool pcl::detail::MeshIndex< IndexTagT >::isValid | ( |  | ) | const

inline

Returns true if the index is valid.

Definition at line 87 of file mesh_indices.h.

Referenced by pcl::geometry::MeshBase< PolygonMesh< MeshTraitsT >, MeshTraitsT, PolygonMeshTag >::deleteVertex(), pcl::geometry::toEdgeIndex(), and pcl::geometry::toHalfEdgeIndex().

## operator++()

template<class IndexTagT>

Self & pcl::detail::MeshIndex< IndexTagT >::operator++ | ( |  | ) |

inline

Increment operators (with boost::operators): ++ (pre and post).

Definition at line 129 of file mesh_indices.h.

## operator+=()

template<class IndexTagT>

Self & pcl::detail::MeshIndex< IndexTagT >::operator+= | ( | const Self & | other | ) |

inline

Addition operators (with boost::operators): + +=.

Definition at line 145 of file mesh_indices.h.

## operator--()

template<class IndexTagT>

Self & pcl::detail::MeshIndex< IndexTagT >::operator-- | ( |  | ) |

inline

Decrement operators (with boost::operators): -- (pre and post).

Definition at line 137 of file mesh_indices.h.

## operator-=()

template<class IndexTagT>

Self & pcl::detail::MeshIndex< IndexTagT >::operator-= | ( | const Self & | other | ) |

inline

Subtraction operators (with boost::operators): - -=.

Definition at line 153 of file mesh_indices.h.

## operator<()

template<class IndexTagT>

bool pcl::detail::MeshIndex< IndexTagT >::operator< | ( | const Self & | other | ) | const

inline

Comparison operators (with boost::operators): < > <= >=.

Definition at line 114 of file mesh_indices.h.

## operator==()

template<class IndexTagT>

bool pcl::detail::MeshIndex< IndexTagT >::operator== | ( | const Self & | other | ) | const

inline

Comparison operators (with boost::operators): == !=.

Definition at line 122 of file mesh_indices.h.

## set()

template<class IndexTagT>

void pcl::detail::MeshIndex< IndexTagT >::set | ( | const int | index | ) |

inline

Set the index.

Definition at line 108 of file mesh_indices.h.

## Friends And Related Symbol Documentation

## operator>>

template<class IndexTagT>

std::istream & operator>> | ( | std::istream & | is,
|  | MeshIndex< IndexTagT > & | index )

friend

istream operator.

Definition at line 178 of file mesh_indices.h.

References MeshIndex().

The documentation for this class was generated from the following file:

- pcl/geometry/mesh_indices.h